This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 447976 - unable to upgrade to kernel-2.6.25.3-18.fc9.i686.rpm
unable to upgrade to kernel-2.6.25.3-18.fc9.i686.rpm
Status: CLOSED DUPLICATE of bug 443332
Product: Fedora
Classification: Fedora
Component: mkinitrd (Show other bugs)
9
i386 Linux
low Severity low
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-22 14:29 EDT by adam williams
Modified: 2009-05-06 11:01 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-06 11:01:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description adam williams 2008-05-22 14:29:00 EDT
Description of problem:

rpm -Uvh kernel-2.6.25.3-18.fc9.i686.rpm fails.  Upgraded to Fedora 9 from 8
using instructions at http://fedoraproject.org/wiki/YumUpgradeFaq

kernel fails to install, still is booting the fedora 8 kernel according to grub
because of the failed kernel rpm install, its not updating grub.:

[root@missioncontrol ~]# rpm -qa|grep kernel
kernel-headers-2.6.25.3-18.fc9.i386
kernel-2.6.25.3-18.fc9.i686
kernel-2.6.23.9-85.fc8.i586
kernel-headers-2.6.24.7-92.fc8.i386
[root@missioncontrol ~]# cat /boot/grub/grub.conf
# grub.conf generated by anaconda
#
# Note that you do not have to rerun grub after making changes to this file
# NOTICE:  You do not have a /boot partition.  This means that
#          all kernel and initrd paths are relative to /, eg.
#          root (hd0,1)
#          kernel /boot/vmlinuz-version ro root=/dev/sda2
#          initrd /boot/initrd-version.img
#boot=/dev/sda
default=0
timeout=5
splashimage=(hd0,1)/boot/grub/splash.xpm.gz
hiddenmenu
title Fedora (2.6.23.9-85.fc8)
        root (hd0,1)
        kernel /boot/vmlinuz-2.6.23.9-85.fc8 ro root=/dev/sda2
        initrd /boot/initrd-2.6.23.9-85.fc8.img
title Fedora-base (2.6.18-1.2798.fc6)
        root (hd0,1)
        kernel /boot/vmlinuz-2.6.18-1.2798.fc6 ro root=/dev/sda2




Version-Release number of selected component (if applicable):


How reproducible:

everytime


Steps to Reproduce:
1. wget
http://mirror.karneval.cz/pub/fedora/updates/9/i386/kernel-2.6.25.3-18.fc9.i686.rpm
2. rpm -Uvh kernel-2.6.25.3-18.fc9.i686.rpm
  
Actual results:

[root@missioncontrol ~]# rpm -Uvh kernel-2.6.25.3-18.fc9.i686.rpm --force|more
warning: kernel-2.6.25.3-18.fc9.i686.rpm: Header V3 DSA signature: NOKEY, key ID
4f2a6fd2
Preparing...                ##################################################
kernel                      ##################################################
*** glibc detected *** /sbin/grubby: free(): invalid next size (fast):
0x09503770 ***
======= Backtrace: =========
/lib/libc.so.6[0x6f87e4]
/lib/libc.so.6(cfree+0x96)[0x6fa846]
/lib/bdevid//scsi.so[0x112b3a]
/usr/lib/libbdevid.so.6.0.52[0xc092ef]
/lib/libglib-2.0.so.0(g_ptr_array_foreach+0x45)[0x2032f5]
/usr/lib/libbdevid.so.6.0.52[0xc0934d]
/lib/libglib-2.0.so.0(g_hash_table_foreach+0x66)[0x21cd76]
/usr/lib/libbdevid.so.6.0.52(bdevid_probe+0xfa)[0xc0944d]
/usr/lib/libnash.so.6.0.52(probe_bdevid+0xbf)[0xc8a46a]
/usr/lib/libnash.so.6.0.52(nash_vitals_probe+0x12d)[0xc8a821]
/usr/lib/libnash.so.6.0.52[0xc86528]
/usr/lib/libnash.so.6.0.52[0xc866da]
/usr/lib/libnash.so.6.0.52(nash_dev_tree_process_bdev+0xaa)[0xc85272]
/usr/lib/libnash.so.6.0.52[0xc85577]
/usr/lib/libnash.so.6.0.52[0xc85701]
/usr/lib/libnash.so.6.0.52(nash_dev_tree_add_sysfs_dir+0x48)[0xc854d5]
/usr/lib/libnash.so.6.0.52(nash_dev_tree_populate_from_sysfs+0x27)[0xc857a6]
/usr/lib/libnash.so.6.0.52(nashBdevIterNewPoll+0x74)[0xc80943]
/usr/lib/libnash.so.6.0.52[0xc80cb4]
/usr/lib/libnash.so.6.0.52(nashFindFsByName+0x6e)[0xc80f08]
/usr/lib/libnash.so.6.0.52(nashAGetPathBySpec+0xa5)[0xc81022]
/sbin/grubby[0x804e1cb]
/sbin/grubby[0x804e3c1]
/sbin/grubby[0x804f395]
/lib/libc.so.6(__libc_start_main+0xe6)[0x6a15d6]
/sbin/grubby[0x8049291]
======= Memory map: ========
00110000-00111000 r-xp 00110000 00:00 0          [vdso]
00111000-00114000 r-xp 00000000 08:02 932599     /lib/bdevid/scsi.so
00114000-00115000 rwxp 00003000 08:02 932599     /lib/bdevid/scsi.so
00115000-00117000 r-xp 00000000 08:02 932236     /lib/bdevid/ata.so
00117000-00118000 rwxp 00002000 08:02 932236     /lib/bdevid/ata.so
00118000-0011a000 r-xp 00000000 08:02 932600     /lib/bdevid/usb.so
0011a000-0011b000 rwxp 00002000 08:02 932600     /lib/bdevid/usb.so
001f4000-002d4000 r-xp 00000000 08:02 932216     /lib/libglib-2.0.so.0.1600.3
002d4000-002d5000 rwxp 000e0000 08:02 932216     /lib/libglib-2.0.so.0.1600.3
0066b000-00687000 r-xp 00000000 08:02 932156     /lib/ld-2.8.so
00687000-00688000 r-xp 0001c000 08:02 932156     /lib/ld-2.8.so
00688000-00689000 rwxp 0001d000 08:02 932156     /lib/ld-2.8.so
0068b000-007ee000 r-xp 00000000 08:02 932159     /lib/libc-2.8.so
007ee000-007f0000 r-xp 00163000 08:02 932159     /lib/libc-2.8.so
007f0000-007f1000 rwxp 00165000 08:02 932159     /lib/libc-2.8.so
007f1000-007f4000 rwxp 007f1000 00:00 0
007f6000-0081d000 r-xp 00000000 08:02 932183     /lib/libm-2.8.so
0081d000-0081e000 r-xp 00026000 08:02 932183     /lib/libm-2.8.so
0081e000-0081f000 rwxp 00027000 08:02 932183     /lib/libm-2.8.so
00821000-00824000 r-xp 00000000 08:02 932218     /lib/libdl-2.8.so
00824000-00825000 r-xp 00002000 08:02 932218     /lib/libdl-2.8.so
00825000-00826000 rwxp 00003000 08:02 932218     /lib/libdl-2.8.so
00876000-00883000 r-xp 00000000 08:02 932413     /lib/libgcc_s-4.3.0-20080428.so.1
00883000-00884000 rwxp 0000c000 08:02 932413     /lib/libgcc_s-4.3.0-20080428.so.1
00886000-0089b000 r-xp 00000000 08:02 344228     /usr/lib/libelf-0.133.so
0089b000-0089c000 r-xp 00014000 08:02 344228     /usr/lib/libelf-0.133.so
0089c000-0089d000 rwxp 00015000 08:02 344228     /usr/lib/libelf-0.133.so
008f1000-0093d000 r-xp 00000000 08:02 344304     /usr/lib/libnl.so.1.1
0093d000-00940000 rwxp 0004c000 08:02 344304     /usr/lib/libnl.so.1.1
00a80000-00a91000 r-xp 00000000 08:02 932459     /lib/libresolv-2.8.so
00a91000-00a92000 r-xp 00010000 08:02 932459     /lib/libresolv-2.8.so
00a92000-00a93000 rwxp 00011000 08:02 932459     /lib/libresolv-2.8.so
00a93000-00a95000 rwxp 00a93000 00:00 0
00ac4000-00acc000 r-xp 00000000 08:02 932524     /lib/libpopt.so.0.0.0
00acc000-00acd000 rwxp 00007000 08:02 932524     /lib/libpopt.so.0.0.0
00be3000-00bfd000 r-xp 00000000 08:02 932116     /lib/libselinux.so.1
00bfd000-00bfe000 r-xp 00019000 08:02 932116     /lib/libselinux.so.1
00bfe000-00bff000 rwxp 0001a000 08:02 932116     /lib/libselinux.so.1
00c01000-00c04000 r-xp 00000000 08:02 932471     /lib/libuuid.so.1.2
00c04000-00c05000 rwxp 00003000 08:02 932471     /lib/libuuid.so.1.2
00c07000-00c0a000 r-xp 00000000 08:02 343523     /usr/lib/libbdevid.so.6.0.52
00c0a000-00c0b000 rwxp 00003000 08:02 343523     /usr/lib/libbdevid.so.6.0.52
00c0d000-00c38000 r-xp 00000000 08:02 343969    
/usr/lib/libdhcp6client-1.0.so.2.0.12
00c38000-00c39000 r-xp 0002b000 08:02 343969    
/usr/lib/libdhcp6client-1.0.so.2.0.12
00c39000-00c3a000 rwxp 0002c000 08:02 343969    
/usr/lib/libdhcp6client-1.0.so.2.0.12
00c3a000-00c3d000 rwxp 00c3a000 00:00 0
00c45000-00c4e000 r-xp 00000000 08:02 932065     /lib/libblkid.so.1.0
00c4e000-00c4f000 rwxp 00009000 08:02 932065     /lib/libblkid.so.1.0
00c5d000-00c72000 r-xp 00000000 08:02 932470     /lib/libdevmapper.so.1.02
00c72000-00c74000 rwxp 00015000 08:02 932470     /lib/libdevmapper.so.1.02
00c76000-00c8f000 r-xp 00000000 08:02 345908     /usr/lib/libnash.so.6.0.52
00c8f000-00c90000 rwxp 00019000 08:02 345908     /usr/lib/libnash.so.6.0.52
00c90000-00c91000 rwxp 00c90000 00:00 0
00c93000-00ca7000 r-xp 00000000 08:02 344568     /usr/lib/libdhcp-1.99.so.1.0.7
00ca7000-00ca8000 rwxp 00014000 08:02 344568     /usr/lib/libdhcp-1.99.so.1.0.7
00cac000-00ce5000 r-xp 00000000 08:02 932448     /lib/libsepol.so.1
00ce5000-00ce6000 rwxp 00039000 08:02 932448     /lib/libsepol.so.1
00ce8000-00d4f000 r-xp 00000000 08:02 932143     /lib/libparted-1.8.so.8.0.0
00d4f000-00d51000 rwxp 00066000 08:02 932143     /lib/libparted-1.8.so.8.0.0
00d51000-00d52000 rwxp 00d51000 00:00 0
00d54000-00dd5000 r-xp 00000000 08:02 343737    
/usr/lib/libdhcp4client-4.0.so.0.0.0
00dd5000-00dd8000 rwxp 00081000 08:02 343737    
/usr/lib/libdhcp4client-4.0.so.0.0.0
00dd8000-00de1000 rwxp 00dd8000 00:00 0
08048000-08051000 r-xp 00000000 08:02 1553751    /sbin/grubby
08051000-08052000 rw-p 00009000 08:02 1553751    /sbin/grubby
094fd000-0951e000 rw-p 094fd000 00:00 0
b7e00000-b7e21000 rw-p b7e00000 00:00 0
b7e21000-b7f00000 ---p b7e21000 00:00 0
b7f3e000-b7f44000 rw-p b7f3e000 00:00 0
bff6f000-bff84000 rw-p bffea000 00:00 0          [stack]
/sbin/new-kernel-pkg: line 104: 16656 Aborted                 $grubby
--add-kernel=$bootPrefix/$kernelName-$version $INITRD --copy-default
$makedefault --title "$title" ${mbkernel:+--add-multiboot="$mbkernel"}
${mbargs:+--mbargs="$mbargs"} --args="root=$rootdevice $kernargs"
--remove-kernel="TITLE=$title"
[root@missioncontrol ~]#


Expected results:

kernel to insall correctly and update grub

Additional info:

[root@missioncontrol ~]# rpm -qa|grep nash
nash-6.0.52-2.fc9.i386
Comment 1 Hin-Tak Leung 2008-06-14 15:45:00 EDT
I also went through the yumupgadefaq route from f8 to f9; I think I was able to
boot 2.6.25.3-18.fc9.x86_64, but lately cannot at all.

always mount cannot find libblkid.so.1 messages, and it would mount root
read-only. I actually tried to unpack the generated initrd and it is there.
Don't know what's wrong but thought it might be related.

Comment 2 Kuba Ober 2008-07-02 01:58:34 EDT
Please flag as dupe of 443332, it's a manifestation of the same problem 
methinks.
Comment 3 Jeremy Katz 2009-05-06 11:01:58 EDT

*** This bug has been marked as a duplicate of bug 443332 ***

Note You need to log in before you can comment on or make changes to this bug.